/*****************************************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ****************************************************************************************/
package gov.va.med.esr.common.model.cases;

import org.apache.commons.lang.builder.ToStringBuilder;

import gov.va.med.esr.common.model.messaging.AbstractMessageLogEntry;

public class WorkflowMessageLog extends AbstractMessageLogEntry {

   /**
    * An instance of serialVersionUID
    */
   private static final long serialVersionUID = -7452496121662686855L;

   private WorkflowCase workflowCase;

   public WorkflowMessageLog() {
      super();
   }

   public WorkflowCase getWorkflowCase() {
      return workflowCase;
   }

   public void setWorkflowCase(WorkflowCase workflowCase) {
      this.workflowCase = workflowCase;
   }

   public void buildToString(ToStringBuilder builder) {
      super.buildToString(builder);
   }
}
